
/* 
    Document   : hero.css
    Created on : Dec 26, 2011, 10:17:42 PM
    Author     : danielcarter
    Description:
        Hero Region - front page only.
*/

/* Hero Region */


#hero {
    background: #DDD;
    height: 350px;
    width: 1024px;
}

#hero .section {
    height: 350px;
    left: -48px;
    margin: 0;
    overflow:hidden;
    padding: 0;
    position: absolute;
    width: 1120px;
}

/* Expand Hero on the Front Page */
body.front #hero {
    height: 430px;
}

body.front #hero .section {
    height: 490px;
}

#hero .section .region,
#hero .section .region .block-block {
    height: 100%;
}

#hero h2 {
  padding: 0;
  margin: 0;
  position: absolute;
  top: 135px;
  z-index: 12;
  font-family: "georgia", serif;
  font-size: 65px;
  color: white;
  font-style: italic;
  width: 100%;
  align-content: center;
  text-align: center;
}

#hero p {
	padding: 0;
	margin: 0;
}

.region-hero{
  background-position: center;
  }
.region-hero, #hero
{
  background-image: url("../images/hero_default.jpg");
    background-position: center;
}

.page-node-13 .region-hero, .page-node-13 #hero, .page-node-331 #hero, .page-node-333 #hero, .page-node-332 #hero, .page-node-334 #hero
{
  background-image: url("../images/hero_recreation.jpg");
}

.page-node-3 .region-hero, .page-node-3 #hero,  .page-node-11 #hero, .page-events #hero
{
  background-image: url("../images/hero_about.jpg");
}

.page-blog #hero, .node-type-blog-post .region-hero , .node-type-blog-post #hero
{
  background-image: url("../images/hero_blog.jpg");
}

.page-node-2  #hero, .page-node-8  #hero, .page-node-9  #hero, .page-node-10  #hero, .page-node-257  #hero
{
  background-image: url("../images/hero-grants.jpg");
}

.page-projects  #hero, .page-project-reports  #hero
{
  background-image: url("../images/hero-projects.jpg");
}

.front .region-hero,.front #hero
{
  background-image: none;
    background-color: none;
}


/*****************
 * HERO SLIDESHOW
 */


div#hero div.views_slideshow_main div.views-field.views-field-title{
  padding: 0;
  margin: 0;
  position: absolute;
  top: 155px;
  z-index: 12;
  font-family: "georgia", serif;
    font-size: 50px;
  font-style: normal;
  width: 100%;
  align-content: center;
  text-align: center;
  font-weight: bold;
    font-style: italic;
      color: white;
}
div#hero div.views_slideshow_main div.views-field.views-field-body {
    position: absolute;
align-content: center;
    top: 200px;
    width: 100%	;
     font-weight: bold;
}

div#hero div.views_slideshow_main div.views-field.views-field-body p{
  font-family: "Georgia", serif;
  color: white;
  font-size: 25px;
  align-content: center;
  text-align: center;
  width: 100%;

}

div#hero div.views_slideshow_main div.views-field.views-field-field-link{
	position: absolute;
	left: 490px;
	  top: 290px;
	color: white;
	font-size: 15px;
	z-index: 11;
	font-family: "Arial", sans-serif;
	font-weight:bold;
     
}

div#hero div.views_slideshow_main div.views-field.views-field-field-link a{
  color: white;
  text-decoration: none;
  border: 3px solid #FFFFFF;
  border-radius: 25px;
  padding: 15px;
}

        
}

div.views-slideshow-controls-bottom {
	position:absolute;
	top: 100px;
	left: 490px;
	z-index: 10;	
}

div.views-slideshow-controls-bottom div.views-slideshow-pager-field-item{
	display:inline-block;
	margin: 0 10px 0 0;
}

div.views-slideshow-controls-bottom div.views-slideshow-pager-field-item div.views-content-field-slide-image {
	text-align:center;
	width:100px;
	height:100px;
}

div.views-slideshow-controls-bottom div.views-slideshow-pager-field-item div.views-content-field-slide-image img{
	z-index:11;
}


div.views-slideshow-controls-bottom div.views-slideshow-pager-field-item.active div.views-content-field-slide-image img{
	border:3px solid white;
	width:94px;
	height:44px;
}

div.views-slideshow-controls-bottom div.views-slideshow-pager-field-item.active div.views-content-field-slide-image:after{
	position:absolute;
	content: "\25bc";
	font-size: 30px;
	color:white;
	top:35px;
	display:block;
	text-align:center;
	width:100%;
}


/**********************
 * FRONT NEWS SCROLLER
 */



div#highlighted .views-field-title{
	display:inline;
	font-size: 14px;
	font-weight: bold;
}
div#highlighted .views-field-title a{
	color:white;
}

div#highlighted .views-field-created{
	display:block;
	font-size:14px;
	font-weight:bold;
	margin-left:4px;
}
div#highlighted .views-field-body{
	font-size:12px;	
}


div#highlighted .view-content{
	width:307px;
	padding: 8px 15px 8px 20px;
	float:left;
	display:block;	
}

div#highlighted .view-content p {
	margin: 0;
	padding: 0;
	color:white;
}
div#highlighted .item-list {
	display:block;
	float:left;
	width: 79px;
	height: 60px;
	text-align:center;
	border-left: 1px solid #4c6e79;
	background-color: #b3d0d2;
	color: white;
}

div#highlighted .item-list a{
	color: white;
}

div#highlighted ul.pager li.pager-current{
	display:none;
}

div#highlighted div.view-news-posts .item-list ul.pager{
	margin: 27px 0 0 0;
	padding: 0;
	height: 60px;
	
}
div#highlighted div.view-news-posts .item-list ul.pager li {
	margin:0;
	padding:0;
	height:30px;
}

div#highlighted div.view-news-posts ul.pager li.pager-previous{
	border-right:1px solid white;
	padding: 5px 0 0 0;
	margin-right:-2px;
}
div#highlighted div.view-news-posts ul.pager li.pager-next{
	border-left:1px solid white;
	padding: 5px 0 0 0;
	margin-left:-3px;
}

div#highlighted div.view-news-posts ul.pager li.pager-previous a{
	display:inline-block;
	width:19px;
	height:10px;
	font-size:0;
	background: url('../images/home_page_left.png');
	top:-16px;
}

div#highlighted div.view-news-posts ul.pager li.pager-next a{
	display:inline-block;
	width:19px;
	height:10px;
	font-size:0;
	background: url('../images/home_page_right.png');
	top:-16px;
}


/**************************
 * REMOVE HERO FOR MAP NODE
 */

body.page-node-5 #hero{
	height: 0px;	
	
}


.front #hero .region-hero {
  background-image: none;
  background-color: white;
}
